//
// Written by Fyodor Menshikov 23.03.2007
// 7:01-7:06
//

import java.io.*;
import java.util.*;

public class Main {

   Scanner in;
   PrintWriter out;

   Main() {
      try {
         in = new Scanner(System.in);
         out = new PrintWriter(System.out);
      } catch (Exception e) {
         throw new Error();
      }
   }

   void run() {
      int n = in.nextInt();
      out.print(n);
      for (int i = 2; i <= n; i++) {
         out.print(" ");
         if (i % 2 == 0) {
            out.print(i / 2);
         } else {
            out.print(n - i / 2);
         }
      }
      out.println();
      out.close();
   }

   public static void main(String args[]) {
      new Main().run();
   }
}